# ILabel

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

Provides access to the [LabelWrapper](https://docs.wisej.com/api/v3.0/wisej.web/editors/wisej.web.labelwrapper) associated with the controls that implement this interface.

{% tabs %}
{% tab title="C#" %}

```csharp
public interface ILabel
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Interface ILabel
```

{% endtab %}
{% endtabs %}

Using [ILabel](https://docs.wisej.com/api/v3.0/wisej.web/interfaces/wisej.web.ilabel) allows developers to use uniform code to access the [LabelWrapper](https://docs.wisej.com/api/v3.0/wisej.web/editors/wisej.web.labelwrapper) properties used by the control to show a label.

```csharp
// Old code
if (control is TextBoxBase)
((TextBoxBase)control).LabelText = "Name";
else if (control is ComboBox)
((ComboBox)control).LabelText = "Name";
// etc...

// New code
if (control is ILabel)
((ILabel)control).LabelText = "Name";
```

## Properties

### ![](https://2647619304-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FHOivImCoV8KSJbQyp6QI%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)Label

[LabelWrapper](https://docs.wisej.com/api/v3.0/wisej.web/editors/wisej.web.labelwrapper): Provides access to the properties of the [LabelWrapper](https://docs.wisej.com/api/v3.0/wisej.web/editors/wisej.web.labelwrapper) associated with the control.

### ![](https://2647619304-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FHOivImCoV8KSJbQyp6QI%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)LabelText

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the text of the label associated with the control.

## Implemented By

| Name                                                                                                                                                                  | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [CheckedListBox](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/checkedlistbox)                                                                            | Displays a [ListBox](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/listbox) in which a check box is displayed to the left of each item.                                                                                                                                                                                                                                                                                                                                                                           |
| [ComboBox](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/combobox)                                                                                        | Represents a combo box control.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| [DateTimePicker](https://docs.wisej.com/api/v3.0/wisej.web/editors/wisej.web.datetimepicker)                                                                          | Represents a control that allows the user to select or type a date and a time.                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| [DomainUpDown](https://docs.wisej.com/api/v3.0/wisej.web/editors/domainupdown)                                                                                        | Represents a spinner control that displays string values.                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| [ListBox](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/listbox)                                                                                          | Represents a control to display a list of items.                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| [MaskedTextBox](https://docs.wisej.com/api/v3.0/wisej.web/editors/maskedtextbox)                                                                                      | Uses a mask to distinguish between proper and improper user input.                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| [NumericUpDown](https://docs.wisej.com/api/v3.0/wisej.web/editors/wisej.web.numericupdown)                                                                            | Represents a spinner control that displays numeric values.                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| [TextBox](https://docs.wisej.com/api/v3.0/wisej.web/editors/wisej.web.textbox)                                                                                        | Represents a text box control that allows the user to enter any value.                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [TextBoxBase](https://docs.wisej.com/api/v3.0/wisej.web/editors/wisej.web.textboxbase)                                                                                | Implements the basic functionality required by text controls.                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [UpDownBase](https://docs.wisej.com/api/v3.0/wisej.web/editors/wisej.web.updownbase)                                                                                  | Implements the basic functionality required by a spin box (also known as an up-down control).                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [DataGridViewComboBoxEditingControl](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxeditingcontrol)             | Represents a [ComboBox](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/combobox) control that can be hosted in a [DataGridViewComboBoxCell](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcell).                                                                                                                                                                                                                                                            |
| [DataGridViewDateTimePickerEditingControl](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewdatetimepickereditingcontrol) | Represents a [DateTimePicker](https://docs.wisej.com/api/v3.0/wisej.web/editors/wisej.web.datetimepicker) control that can be hosted in a [DataGridViewDateTimePickerCell](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewdatetimepickercell).                                                                                                                                                                                                                                  |
| [DataGridViewMaskedTextBoxEditingControl](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewmaskedtextboxeditingcontrol)   | Represents a [MaskedTextBox](https://docs.wisej.com/api/v3.0/wisej.web/editors/maskedtextbox) control that can be hosted in a [DataGridViewMaskedTextBoxCell](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewmaskedtextboxcell) cell.                                                                                                                                                                                                                                           |
| [DataGridViewNumericUpDownEditingControl](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewnumericupdowneditingcontrol)   | Represents a [NumericUpDown](https://docs.wisej.com/api/v3.0/wisej.web/editors/wisej.web.numericupdown) control that can be hosted in a [DataGridViewNumericUpDownCell](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewnumericupdowncell).                                                                                                                                                                                                                                      |
| [DataGridViewTextBoxEditingControl](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewtextboxeditingcontrol)               | Represents a [TextBox](https://docs.wisej.com/api/v3.0/wisej.web/editors/wisej.web.textbox) control that can be hosted in a [DataGridViewTextBoxCell](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewtextboxcell) cell when the cell's [WrapMode](https://docs.wisej.com/api/v3.0/lists-and-grids/datagridview/wisej.web.datagridviewcellstyle#wrapmode) is set to [False](https://docs.wisej.com/api/v3.0/lists-and-grids/datagridview/wisej.web.datagridviewtristate#fields). |
| [ListViewComboBox](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/wisej.web.listviewcombobox)                                                              | The TreeViewComboBox control represents a [UserComboBox](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/wisej.web.usercombobox) control with a [ListView](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/listview) as the drop down panel.                                                                                                                                                                                                                                                              |
| [TagTextBox](https://docs.wisej.com/api/v3.0/wisej.web/editors/tagtextbox)                                                                                            | Represents a data field that displays a list of selectable and removable tags. The control recognizes tags as the user types and adds in front of the editable field.                                                                                                                                                                                                                                                                                                                                                         |
| [TimeUpDown](https://docs.wisej.com/api/v3.0/wisej.web/editors/timeupdown)                                                                                            | Represents a spinner control that displays [TimeSpan](https://docs.microsoft.com/en-us/dotnet/api/system.timespan) values.                                                                                                                                                                                                                                                                                                                                                                                                    |
| [TreeViewComboBox](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/wisej.web.treeviewcombobox)                                                              | The TreeViewComboBox control represents a [UserComboBox](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/wisej.web.usercombobox) control with a [TreeView](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/treeview) as the drop down panel.                                                                                                                                                                                                                                                              |
| [UserComboBox](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/wisej.web.usercombobox)                                                                      | The UserComboBox control represents a [ComboBox](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/combobox) control with a custom panel that drops down when the user clicks the down arrow.                                                                                                                                                                                                                                                                                                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/interfaces/wisej.web.ilabel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
